import _classPrivateFieldInitSpec from "@babel/runtime-corejs3/helpers/classPrivateFieldInitSpec";
import _classPrivateFieldGet from "@babel/runtime-corejs3/helpers/classPrivateFieldGet";
import _classPrivateFieldSet from "@babel/runtime-corejs3/helpers/classPrivateFieldSet";
import _WeakMap from "@babel/runtime-corejs3/core-js-stable/weak-map";
import { JsonSerializerFactory } from '@cljimenez/json-serializer-core';
import { baseSerializersInstaller } from '@cljimenez/json-serializer-base-serializers';
var _jsonSerializerCore = new _WeakMap();
class JsonSerializerAdapter {
  constructor(jsonSerializerCore) {
    _classPrivateFieldInitSpec(this, _jsonSerializerCore, {
      writable: true,
      value: void 0
    });
    _classPrivateFieldSet(this, _jsonSerializerCore, jsonSerializerCore);
  }
  getSerializers() {
    return _classPrivateFieldGet(this, _jsonSerializerCore).getSerializers();
  }
  installSerializersAndRefreshJsonSerializer(serializersInstaller) {
    var installOptions = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    _classPrivateFieldGet(this, _jsonSerializerCore).installSerializersAndRefreshJsonSerializer(serializersInstaller, installOptions);
  }
  addSerializerAndRefreshJsonSerializer(serializer) {
    _classPrivateFieldGet(this, _jsonSerializerCore).addSerializerAndRefreshJsonSerializer(serializer);
  }
  serialize(value) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var {
      space
    } = options;
    return _classPrivateFieldGet(this, _jsonSerializerCore).serialize(value, space);
  }
  parse(value) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return _classPrivateFieldGet(this, _jsonSerializerCore).parse(value);
  }
}
function createJsonSerializerAdapter() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var jsonSerializerCore = JsonSerializerFactory.createJsonSerializer();
  jsonSerializerCore.installSerializersAndRefreshJsonSerializer(baseSerializersInstaller, options);
  return new JsonSerializerAdapter(jsonSerializerCore);
}
export { createJsonSerializerAdapter };
//# sourceMappingURL=index.mjs.map
